#### This Page

# `select`

The `select` type works exactly like the checkboxes type but unlike it you can only select a single item. For configuration options refer directly to the checkboxes type.

In the contents file the values are stored as a single textual item.

## Field Usage

    [fields.class]
    label = Class
    type = select
    choices = full-width, pull-left, pull-right
    choice_labels = Full Width, Pull Left, Pull Right

## Template Usage

    <div class="{{ this.class }}">
      ...
    </div>

## Comments